Endpoints related to Consignment Items.
List consignment items
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdquery Parameters
pageThe page number to return results for
sizeThe number of elements per page. Default value may vary between endpoints
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
List consignment items › Responses
Success
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeCreate consignment item
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdquery Parameters
applyDefaultsHeaders
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Create consignment item › Request Body
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeCreate consignment item › Responses
Created
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeUpdate consignment item
path Parameters
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Update consignment item › Request Body
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeUpdate consignment item › Responses
Success
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeDelete consignment item
path Parameters
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Delete consignment item › Responses
Deleted
Success or failure message.
Bulk update consignment items
Replaces the consignment's items with the supplied list. Items omitted from the request are deleted.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
consignmentIdquery Parameters
applyDefaultspreventRunAllocationWhen true, skips delivery-run allocation after item changes.
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Bulk update consignment items › Request Body
confirmSaveWhen true, saves even when lastModified does not match the consignment.
lastModified^\d{4}-\d{2}-\d{2} \…Consignment last-modified timestamp (YYYY-MM-DD HH:MM:SS) used to detect conflicting edits.
Bulk update consignment items › Responses
Success
Search consignment items
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Search consignment items › Responses
Success
idCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeDownload consignment item labels.
Downloads labels for specific consignment items based on the provided payload.
Each consignment can have multiple items, and each item can have a specified number of copies.
returnType defaults to download if not provided.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Download consignment item labels. › Request Body
Array of consignments with their items to download labels for
returnTypeReturn type. url returns a URL to the generated labels; download returns raw PDF content.
Download consignment item labels. › Responses
Success. Returns either a URL to the generated labels (if returnType is ''url''),
or raw PDF content (if returnType is ''download'').
urlURL to the generated labels
Print consignment item labels.
Prints labels for specific consignment items based on the provided payload. Each consignment can have multiple items, and each item can have a specified number of copies. The total number of copies across all items cannot exceed the maximum allowed limit. Labels are sent to the tenant's configured label printers when present. With none configured, no print job is sent.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Print consignment item labels. › Request Body
Array of consignments with their items to print labels for